<template>
  <div class="apex-charts">
    <div class="mx-4 mt-1 pt-2">
      <p>{{ title }}</p>
    </div>
    <apexcharts
      type="bar"
      height="350"
      :options="options"
      :series="series"
    ></apexcharts>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

export default {
  name: "Apex",
  props: {
    title: {
      type: String,
      default: null,
    },
    series: {
      type: Array,
      default: () => [],
    },
    options: {
      type: Object,
      default: () => {},
    },
  },
  components: {
    apexcharts: VueApexCharts,
  },
  data: function () {
    return {};
  },
  methods: {
    updateChart() {
      this.chartOptions = {
        xaxis: {
          categories: this.labels,
        },
      };
      this.series.push({
        name: "Presupuesto",
        data: this.datasets[0].data,
      });
    },
  },
  mounted() {
    this.updateChart();
  },
};
</script>
<style scoped>
.box-apexcharts {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 190px;
}
</style>
